<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="ffe3834c-078d-4145-8e0e-64563735b511" name="Default" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/mwt-business/mwt-business.iml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/mwt-client/mwt-client.iml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/mwt-client/src/main/java/com/jms/mwt/controller/AccountRestController.java" beforeDir="false" afterPath="$PROJECT_DIR$/mwt-client/src/main/java/com/jms/mwt/controller/AccountRestController.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/mwt-client/src/main/java/com/jms/mwt/model/RegisterForm.java" beforeDir="false" afterPath="$PROJECT_DIR$/mwt-client/src/main/java/com/jms/mwt/model/RegisterForm.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/mwt-distribution/mwt-distribution.iml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/mwt-ear/mwt-ear.iml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/mwt-server/mwt-server.iml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/repository/UserRepositoryImpl.java" beforeDir="false" afterPath="$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/repository/UserRepositoryImpl.java" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/out/" />
    <ignored path="$PROJECT_DIR$/target/" />
    <ignored path="$PROJECT_DIR$/mwt-business/target/" />
    <ignored path="$PROJECT_DIR$/mwt-common/target/" />
    <ignored path="$PROJECT_DIR$/mwt-server/target/" />
    <ignored path="$PROJECT_DIR$/mwt-client/target/" />
    <ignored path="$PROJECT_DIR$/mwt-distribution/target/" />
    <ignored path="$PROJECT_DIR$/mwt-ear/target/" />
    <ignored path="$PROJECT_DIR$/integration-tests/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file leaf-file-name="WebSecurityConfig.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/mwt-client/src/main/java/com/jms/mwt/configuration/WebSecurityConfig.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="186">
              <caret line="20" column="33" selection-start-line="20" selection-start-column="12" selection-end-line="20" selection-end-column="33" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="AccountRestController.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/mwt-client/src/main/java/com/jms/mwt/controller/AccountRestController.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="218">
              <caret line="25" column="79" selection-start-line="25" selection-start-column="79" selection-end-line="25" selection-end-column="79" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="UserRepositoryImpl.java" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/repository/UserRepositoryImpl.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="121">
              <caret line="23" column="47" selection-start-line="23" selection-start-column="47" selection-end-line="23" selection-end-column="47" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="AppUser.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/mwt-business/src/main/java/com/jms/mwt/entity/AppUser.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="2">
              <caret line="61" column="11" selection-start-line="61" selection-start-column="11" selection-end-line="61" selection-end-column="11" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="RegisterForm.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/mwt-client/src/main/java/com/jms/mwt/model/RegisterForm.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="34">
              <caret line="8" column="30" selection-start-line="8" selection-start-column="30" selection-end-line="8" selection-end-column="30" />
              <folding>
                <element signature="e#208#209#0" expanded="true" />
                <element signature="e#250#251#0" expanded="true" />
                <element signature="e#284#285#0" expanded="true" />
                <element signature="e#319#320#0" expanded="true" />
                <element signature="e#350#351#0" expanded="true" />
                <element signature="e#398#399#0" expanded="true" />
                <element signature="e#438#439#0" expanded="true" />
                <element signature="e#482#483#0" expanded="true" />
                <element signature="e#522#523#0" expanded="true" />
                <element signature="e#588#589#0" expanded="true" />
                <element signature="e#646#647#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="MwtWebAppInitializer.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/mwt-client/src/main/java/com/jms/mwt/configuration/MwtWebAppInitializer.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="204">
              <caret line="12" column="52" selection-start-line="12" selection-start-column="52" selection-end-line="12" selection-end-column="52" />
              <folding>
                <element signature="e#298#299#0" expanded="true" />
                <element signature="e#377#378#0" expanded="true" />
                <element signature="e#472#473#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="SpringSecurityInitializer.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/mwt-client/src/main/java/com/jms/mwt/configuration/SpringSecurityInitializer.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="102">
              <caret line="6" column="1" selection-start-line="6" selection-start-column="1" selection-end-line="6" selection-end-column="1" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="UserDetailsServiceImpl.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/service/UserDetailsServiceImpl.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="246">
              <caret line="28" column="63" selection-start-line="28" selection-start-column="63" selection-end-line="28" selection-end-column="63" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Interface" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>@conf</find>
      <find>transactional</find>
      <find>platformTransactionManager</find>
      <find>@Transac</find>
      <find>env</find>
      <find>@tran</find>
      <find>EntityManager</find>
      <find>valida</find>
      <find>user</find>
      <find>userService</find>
      <find>BCryptPasswordEncoder</find>
      <find>private passw</find>
      <find>private String pa</find>
    </findStrings>
    <dirStrings>
      <dir>C:\Users\Mohamed\workspace\personal\mwt</dir>
    </dirStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/mwt-client/src/main/java/com/jms/mwt/security/ResourceServerConfiguration.java" />
        <option value="$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/service/ProductServiceImpl.java" />
        <option value="$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/configuration/DataBaseConfig.java" />
        <option value="$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/configuration/HibernateConfig.java" />
        <option value="$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/configuration/SpringDataConfig.java" />
        <option value="$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/configuration/DataSourceConfig.java" />
        <option value="$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/repository/UserRepository.java" />
        <option value="$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/repository/TripRepository.java" />
        <option value="$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/repository/TripRepositoryCustom.java" />
        <option value="$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/service/TripService.java" />
        <option value="$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/service/TripServiceImpl.java" />
        <option value="$PROJECT_DIR$/mwt-business/pom.xml" />
        <option value="$PROJECT_DIR$/mwt-client/src/main/java/com/jms/mwt/controller/UserRestController.java" />
        <option value="$PROJECT_DIR$/mwt-client/src/main/resources/application.yml" />
        <option value="$PROJECT_DIR$/pom.xml" />
        <option value="$PROJECT_DIR$/mwt-business/src/main/java/com/jms/mwt/entity/User.java" />
        <option value="$PROJECT_DIR$/mwt-business/src/main/java/com/jms/mwt/entity/Trip.java" />
        <option value="$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/service/UserService.java" />
        <option value="$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/service/UserServiceImpl.java" />
        <option value="$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/repository/RoleRepositoryCustom.java" />
        <option value="$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/repository/RoleRepository.java" />
        <option value="$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/repository/TripRepositoryImpl.java" />
        <option value="$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/repository/RoleRepositoryImpl.java" />
        <option value="$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/repository/UserRepositoryCustom.java" />
        <option value="$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/repository/TaskRepositoryImpl.java" />
        <option value="$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/repository/TaskRepository.java" />
        <option value="$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/service/TaskService.java" />
        <option value="$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/service/TaskServiceImpl.java" />
        <option value="$PROJECT_DIR$/mwt-business/src/main/java/com/jms/mwt/entity/Task.java" />
        <option value="$PROJECT_DIR$/mwt-client/src/main/java/com/jms/mwt/controller/TaskRestController.java" />
        <option value="$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/repository/AccountServiceImpl.java" />
        <option value="$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/repository/AccountService.java" />
        <option value="$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/repository/UserDetailsServiceImpl.java" />
        <option value="$PROJECT_DIR$/mwt-server/src/main/resources/application.properties" />
        <option value="$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/service/initializer/InitBean.java" />
        <option value="$PROJECT_DIR$/mwt-client/src/main/java/com/jms/mwt/controller/TripRestController.java" />
        <option value="$PROJECT_DIR$/mwt-business/src/main/java/com/jms/mwt/entity/AppRole.java" />
        <option value="$PROJECT_DIR$/mwt-client/src/main/java/com/jms/mwt/controller/HelloWorldRestController.java" />
        <option value="$PROJECT_DIR$/mwt-client/pom.xml" />
        <option value="$PROJECT_DIR$/mwt-ear/pom.xml" />
        <option value="$PROJECT_DIR$/mwt-server/pom.xml" />
        <option value="$PROJECT_DIR$/mwt-ear/src/main/resources/META-INF/jboss-deployment-structure.xml" />
        <option value="$PROJECT_DIR$/mwt-client/src/main/java/com/jms/mwt/configuration/MwtWebAppInitializer.java" />
        <option value="$PROJECT_DIR$/mwt-client/src/main/java/com/jms/mwt/configuration/AppConfig.java" />
        <option value="$PROJECT_DIR$/mwt-client/src/main/java/com/jms/mwt/configuration/SpringSecurityInitializer.java" />
        <option value="$PROJECT_DIR$/mwt-client/src/main/java/com/jms/mwt/controller/SecurityRestController.java" />
        <option value="$PROJECT_DIR$/mwt-client/src/main/java/com/jms/mwt/configuration/WebSecurityConfig.java" />
        <option value="$PROJECT_DIR$/mwt-business/src/main/java/com/jms/mwt/entity/AppUser.java" />
        <option value="$PROJECT_DIR$/mwt-client/src/main/java/com/jms/mwt/model/RegisterForm.java" />
        <option value="$PROJECT_DIR$/mwt-client/src/main/java/com/jms/mwt/controller/AccountRestController.java" />
        <option value="$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/repository/UserRepositoryImpl.java" />
      </list>
    </option>
  </component>
  <component name="MavenImportPreferences">
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="downloadDocsAutomatically" value="true" />
        <option name="downloadSourcesAutomatically" value="true" />
        <option name="importAutomatically" value="true" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="MavenProjectNavigator">
    <treeState>
      <expand>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="mwt" type="9519ce18:MavenProjectsStructure$ProjectNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="mwt" type="9519ce18:MavenProjectsStructure$ProjectNode" />
          <item name="Lifecycle" type="58874e2:MavenProjectsStructure$LifecycleNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="mwt-server" type="9519ce18:MavenProjectsStructure$ProjectNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="mwt-server" type="9519ce18:MavenProjectsStructure$ProjectNode" />
          <item name="Lifecycle" type="58874e2:MavenProjectsStructure$LifecycleNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="mwt-server" type="9519ce18:MavenProjectsStructure$ProjectNode" />
          <item name="Plugins" type="7aea1407:MavenProjectsStructure$PluginsNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="mwt-server" type="9519ce18:MavenProjectsStructure$ProjectNode" />
          <item name="Dependencies" type="f4be9f2a:MavenProjectsStructure$DependenciesNode" />
        </path>
      </expand>
      <select />
    </treeState>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="952" />
    <option name="width" value="977" />
    <option name="height" value="1038" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="PackagesPane" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="mwt" type="b2602c69:ProjectViewProjectNode" />
              <item name="mwt" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="project.structure.last.edited" value="Modules" />
    <property name="project.structure.proportion" value="0.15" />
    <property name="project.structure.side.proportion" value="0.2" />
    <property name="settings.editor.selected.configurable" value="settings.github" />
  </component>
  <component name="RecentsManager">
    <key name="CreateClassDialog.RecentsKey">
      <recent name="com.jms.mwt.entity" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\Users\Mohamed\workspace\personal\mwt\mwt-server\src\main\resources" />
      <recent name="C:\Users\Mohamed\workspace\personal\mwt\mwt-ear\src\main\resources\META-INF" />
      <recent name="C:\Users\Mohamed\workspace\personal\mwt\mwt-client\src\main\resources" />
      <recent name="C:\Users\Mohamed\workspace\personal\mwt\mwt-ear\src\main\resources-local" />
      <recent name="C:\Users\Mohamed\workspace\personal\mwt\mwt-client\src\main\java\com\jms\mwt\configuration" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration default="true" type="Application" factoryName="Application">
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
    </configuration>
    <configuration default="true" type="JUnit" factoryName="JUnit">
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="TEST_OBJECT" value="class" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <patterns />
    </configuration>
    <configuration name="local server" type="Remote" factoryName="Remote">
      <option name="USE_SOCKET_TRANSPORT" value="true" />
      <option name="SERVER_MODE" value="false" />
      <option name="SHMEM_ADDRESS" value="javadebug" />
      <option name="HOST" value="localhost" />
      <option name="PORT" value="8080" />
      <RunnerSettings RunnerId="Debug">
        <option name="DEBUG_PORT" value="8080" />
        <option name="LOCAL" value="false" />
      </RunnerSettings>
    </configuration>
    <configuration default="true" type="TestNG" factoryName="TestNG">
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="SUITE_NAME" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="GROUP_NAME" />
      <option name="TEST_OBJECT" value="CLASS" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <option name="OUTPUT_DIRECTORY" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <option name="USE_DEFAULT_REPORTERS" value="false" />
      <option name="PROPERTIES_FILE" />
      <properties />
      <listeners />
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="ffe3834c-078d-4145-8e0e-64563735b511" name="Default" comment="" />
      <created>1538672373326</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1538672373326</updated>
    </task>
    <servers />
  </component>
  <component name="ToolWindowManager">
    <frame x="-7" y="-7" width="1550" height="838" extended-state="6" />
    <layout>
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="right" id="Palette&#9;" order="5" />
      <window_info anchor="bottom" id="Event Log" order="10" side_tool="true" />
      <window_info anchor="right" id="Maven Projects" order="4" visible="true" weight="0.107421875" />
      <window_info anchor="bottom" id="Version Control" order="7" />
      <window_info anchor="bottom" id="Run" order="2" visible="true" weight="0.35310346" />
      <window_info anchor="bottom" id="Terminal" order="8" weight="0.32965517" />
      <window_info id="Designer" order="2" />
      <window_info active="true" content_ui="combo" id="Project" order="0" sideWeight="0.5813953" visible="true" weight="0.19661458" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.32965517" />
      <window_info id="Structure" order="1" sideWeight="0.41860464" side_tool="true" weight="0.17708333" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info id="UI Designer" order="4" />
      <window_info id="Favorites" order="3" side_tool="true" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="bottom" id="Messages" order="9" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
    </layout>
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/mwt-client/src/main/java/com/jms/mwt/controller/HelloWorldRestController.java</url>
          <line>44</line>
          <properties />
          <option name="timeStamp" value="1" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/mwt-client/src/main/java/com/jms/mwt/controller/HelloWorldRestController.java</url>
          <line>46</line>
          <properties />
          <option name="timeStamp" value="2" />
        </line-breakpoint>
      </breakpoints>
      <option name="time" value="4" />
    </breakpoint-manager>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/repository/RoleRepositoryImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="425">
          <caret line="25" column="5" lean-forward="true" selection-start-line="25" selection-start-column="5" selection-end-line="25" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/repository/UserRepository.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="153">
          <caret line="9" column="17" selection-start-line="9" selection-start-column="17" selection-end-line="9" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/repository/UserRepositoryCustom.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="119">
          <caret line="7" column="52" selection-start-line="7" selection-start-column="52" selection-end-line="7" selection-end-column="52" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/service/ProductServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="119">
          <caret line="8" column="1" selection-start-line="8" selection-start-column="1" selection-end-line="8" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/data/spring-data-commons/2.1.1.RELEASE/spring-data-commons-2.1.1.RELEASE-sources.jar!/org/springframework/data/repository/CrudRepository.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="194">
          <caret line="69" column="16" selection-start-line="69" selection-start-column="16" selection-end-line="69" selection-end-column="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/service/TripServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="306">
          <caret line="29" column="53" selection-start-line="29" selection-start-column="15" selection-end-line="29" selection-end-column="53" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/repository/TaskRepositoryCustom.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34">
          <caret line="2" column="37" selection-start-line="2" selection-start-column="37" selection-end-line="2" selection-end-column="37" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/repository/TripRepositoryImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="238">
          <caret line="14" selection-start-line="14" selection-end-line="15" selection-end-column="14" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/repository/TaskRepositoryImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="119">
          <caret line="7" column="65" lean-forward="true" selection-start-line="7" selection-start-column="65" selection-end-line="7" selection-end-column="65" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/repository/TripRepository.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="119">
          <caret line="9" lean-forward="true" selection-start-line="9" selection-end-line="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/repository/TripRepositoryCustom.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="136">
          <caret line="10" column="44" selection-start-line="8" selection-start-column="4" selection-end-line="10" selection-end-column="44" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/repository/TaskRepository.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="51">
          <caret line="6" selection-start-line="6" selection-end-line="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/service/TaskService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="119">
          <caret line="9" column="28" selection-start-line="9" selection-start-column="28" selection-end-line="9" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/service/TaskServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="85">
          <caret line="10" column="52" selection-start-line="10" selection-start-column="52" selection-end-line="10" selection-end-column="52" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-business/src/main/java/com/jms/mwt/entity/Task.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="289">
          <caret line="22" selection-start-line="22" selection-end-line="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-business/src/main/java/com/jms/mwt/entity/Product.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34">
          <caret line="2" column="13" selection-start-line="2" selection-start-column="13" selection-end-line="2" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/service/initializer/InitBean.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="440">
          <caret line="51" column="32" selection-start-line="51" selection-start-column="32" selection-end-line="51" selection-end-column="32" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-business/src/main/java/com/jms/mwt/entity/AppRole.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="321">
          <caret line="20" column="22" selection-start-line="20" selection-start-column="22" selection-end-line="20" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-client/src/main/resources/application.yml" />
    <entry file="file://$PROJECT_DIR$/mwt-client/src/main/java/com/jms/mwt/controller/HelloWorldRestController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="340">
          <caret line="31" selection-start-line="31" selection-end-line="31" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/service/UserService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="68">
          <caret line="4" column="17" selection-start-line="4" selection-start-column="17" selection-end-line="4" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-ear/mwt-ear.iml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-business/mwt-business.iml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-server/mwt-server.iml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-ear/src/main/resources/META-INF/jboss-all.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-distribution/pom.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-client/mwt-client.iml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="136">
          <caret line="8" column="61" selection-start-line="8" selection-start-column="61" selection-end-line="8" selection-end-column="61" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-server/src/main/resources/application.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="187">
          <caret line="11" column="29" selection-start-line="11" selection-start-column="29" selection-end-line="11" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-client/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="748">
          <caret line="44" column="20" selection-start-line="44" selection-start-column="20" selection-end-line="44" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-ear/src/main/resources/META-INF/MANIFEST.MF" />
    <entry file="file://$PROJECT_DIR$/mwt-server/src/main/resources/META-INF/MANIFEST.MF" />
    <entry file="file://$PROJECT_DIR$/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="459">
          <caret line="33" column="12" selection-start-line="33" selection-start-column="12" selection-end-line="33" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-ear/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="286">
          <caret line="29" column="34" selection-start-line="29" selection-start-column="34" selection-end-line="29" selection-end-column="34" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-server/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="204">
          <caret line="12" column="17" selection-start-line="12" selection-start-column="17" selection-end-line="12" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-ear/src/main/resources/META-INF/jboss-deployment-structure.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="136">
          <caret line="8" column="22" lean-forward="true" selection-start-line="8" selection-start-column="22" selection-end-line="8" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/configuration/HibernateConfig.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="170">
          <caret line="10" column="13" selection-start-line="10" selection-start-column="13" selection-end-line="10" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/configuration/DataSourceConfig.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-17">
          <caret line="23" column="48" lean-forward="true" selection-start-line="23" selection-start-column="48" selection-end-line="23" selection-end-column="48" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/service/AccountService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="85">
          <caret line="5" column="17" selection-start-line="5" selection-start-column="17" selection-end-line="5" selection-end-column="17" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/service/AccountServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="153">
          <caret line="13" column="13" selection-start-line="13" selection-start-column="13" selection-end-line="13" selection-end-column="13" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/service/UserServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="187">
          <caret line="17" column="5" selection-start-line="17" selection-start-column="5" selection-end-line="17" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-client/src/main/java/com/jms/mwt/controller/TaskRestController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="133">
          <caret line="9" selection-start-line="9" selection-end-line="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-client/src/main/java/com/jms/mwt/controller/TripRestController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="153">
          <caret line="19" column="14" lean-forward="true" selection-start-line="19" selection-start-column="14" selection-end-line="19" selection-end-column="14" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-client/src/main/java/com/jms/mwt/configuration/AppConfig.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="187">
          <caret line="11" column="13" selection-start-line="11" selection-start-column="13" selection-end-line="11" selection-end-column="13" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#527#528#0" expanded="true" />
            <element signature="e#577#578#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-client/src/main/java/com/jms/mwt/configuration/MwtWebAppInitializer.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="204">
          <caret line="12" column="52" selection-start-line="12" selection-start-column="52" selection-end-line="12" selection-end-column="52" />
          <folding>
            <element signature="e#298#299#0" expanded="true" />
            <element signature="e#377#378#0" expanded="true" />
            <element signature="e#472#473#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-client/src/main/java/com/jms/mwt/configuration/SpringSecurityInitializer.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="102">
          <caret line="6" column="1" selection-start-line="6" selection-start-column="1" selection-end-line="6" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/service/UserDetailsServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="246">
          <caret line="28" column="63" selection-start-line="28" selection-start-column="63" selection-end-line="28" selection-end-column="63" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-client/src/main/java/com/jms/mwt/configuration/WebSecurityConfig.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="186">
          <caret line="20" column="33" selection-start-line="20" selection-start-column="12" selection-end-line="20" selection-end-column="33" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-business/src/main/java/com/jms/mwt/entity/AppUser.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2">
          <caret line="61" column="11" selection-start-line="61" selection-start-column="11" selection-end-line="61" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-client/src/main/java/com/jms/mwt/model/RegisterForm.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34">
          <caret line="8" column="30" selection-start-line="8" selection-start-column="30" selection-end-line="8" selection-end-column="30" />
          <folding>
            <element signature="e#208#209#0" expanded="true" />
            <element signature="e#250#251#0" expanded="true" />
            <element signature="e#284#285#0" expanded="true" />
            <element signature="e#319#320#0" expanded="true" />
            <element signature="e#350#351#0" expanded="true" />
            <element signature="e#398#399#0" expanded="true" />
            <element signature="e#438#439#0" expanded="true" />
            <element signature="e#482#483#0" expanded="true" />
            <element signature="e#522#523#0" expanded="true" />
            <element signature="e#588#589#0" expanded="true" />
            <element signature="e#646#647#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-client/src/main/java/com/jms/mwt/controller/AccountRestController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="218">
          <caret line="25" column="79" selection-start-line="25" selection-start-column="79" selection-end-line="25" selection-end-column="79" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mwt-server/src/main/java/com/jms/mwt/repository/UserRepositoryImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="121">
          <caret line="23" column="47" selection-start-line="23" selection-start-column="47" selection-end-line="23" selection-end-column="47" />
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ArtifactsStructureConfigurable.UI">
        <settings>
          <artifact-editor />
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="FacetStructureConfigurable.UI">
        <settings>
          <last-edited>No facets are configured</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <last-edited>10</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ModuleStructureConfigurable.UI">
        <settings>
          <last-edited>mwt-client</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
                <option value="0.6" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <last-edited>Maven: com.jms:mwt-business:1.0-SNAPSHOT</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ScopeChooserConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
  <component name="mavenExecuteGoalHistory">
    <option value="" />
  </component>
</project>